<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary ml-1" (click)="buscarInfo()" [disabled]="loading">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button (click)="exportPdf()" class="btn btn-danger ml-1" [disabled]="!dataGrid.length">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" [max]="fechaSys"
            class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" [min]="ngForm.value.fFec1" class="w-100"
            [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="1" id="Detallado" class="k-radio mt-2"
            [checked]="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="Detallado">Detallado</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="2" id="Resumen" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Resumen">Resumen</label>
        </div>
      </div>

    </form>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="ngForm.value.iInt1 == 2" [selectable]="true"
      [filter]="filter" filterable="menu" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 64vh;">
      <div *ngIf="dataGrid.length !== 0">
        <ng-template kendoGridToolbarTemplate>
          <button kendoGridExcelCommand icon="file-excel">Excel</button>
        </ng-template>
        <kendo-grid-column field="Operador" title="Operador" width="130">
        </kendo-grid-column>
        <kendo-grid-column field="Fecha" title="Fecha" width="130" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Fecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Nombre" title="Nombre" width="220" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="NoCuartos" title="#Cuartos" width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Creditos" title="Créditos" width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="MinLimp" title="Min. Limp." width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="MinDesp" title="Min. Desp." width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-excel fileName="{{this.heading}}-Resumen.xlsx" [fetchData]="allData"></kendo-grid-excel>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>


    <kendo-grid [kendoGridBinding]="dataGlobal" *ngIf="ngForm.value.iInt1 == 1" [selectable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [filter]="filter" filterable="menu" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 64vh;">
      <div *ngIf="dataGlobal.length !== 0">
        <ng-template kendoGridToolbarTemplate>
          <button kendoGridExcelCommand icon="file-excel">Excel</button>
        </ng-template>
        <kendo-grid-column field="Operador" title="Operador" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="Fecha" title="Fecha" width="130">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Fecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Cuarto" title="Cuarto" width="100">
        </kendo-grid-column>
        <kendo-grid-column field="Hora" title="Hora" width="120" [filterable]="false">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Hora | hour }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Tipo" title="Tipo" width="90">
        </kendo-grid-column>
        <kendo-grid-column field="ALlaves" title="A.L." width="90" [filterable]="false">
        </kendo-grid-column>
        <kendo-grid-column field="Revision" title="Rev." width="90" [filterable]="false">
        </kendo-grid-column>
        <kendo-grid-column field="MinLimp" title="Min. Limp." width="120" [filterable]="false" class="text-right"> 
        </kendo-grid-column>
        <kendo-grid-column field="MinDesp" title="Min. Desp." width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-excel fileName="{{this.heading}}-Detallado.xlsx" [fetchData]="allData2"></kendo-grid-excel>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>
</div>